.mobile-nav {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: -1;
    background: $white;
    line-height: 125%;
    padding-top: 20px;
    padding-bottom: 0;
    position: fixed;
    display: flex;
    flex-direction: column;
    opacity: 0;
    visibility: hidden;

    &__close {
        top: 0;
        z-index: 100;
        left: calc(50% - 20px);
        position: absolute;
    }

    &__layout {
        flex-grow: 1;
        margin: 0 auto;
        width: 100%;
        position: relative;
        background: $white;
        overflow-y: auto;
        padding: rem(40) rem(20);
        border: 5px solid #F5F5F3;
        display: flex;
        flex-direction: column;
    }

    &__body {
        margin: 0 auto;
        width: rem(260);
        flex-grow: 1;
        display: flex;
        flex-direction: column;
    }

    &__section {

        &:not(:last-child) {
            margin-bottom: rem(20);
        }
    }

    &__label {
        color: #828282;
        font-weight: 600;
        font-size: rem(12);
        line-height: rem(16);
        text-transform: uppercase;
        margin-bottom: rem(10);
    }

    &__parent {
        text-align: left;
        font-weight: 600;
        line-height: 125%;
        font-size: rem(15);
        padding: rem(12) 0 rem(12) 0;
        width: 100%;
        border: none;
        outline: none;
        display: flex;
        align-items: center;
        cursor: pointer;
        position: relative;
        background: transparent;

        &:before {
            right: 0;
            top: calc(50% - 3px);
            z-index: 5;
            width: 14px;
            height: 7px;
            content: '';
            display: block;
            position: absolute;
            background: url("../img/angle_down.svg") 50% 50% no-repeat;
            background-size: cover;
            transform: rotate(-90deg);
            transition: .25s;
        }

        a {
            color: $dark;
            display: block;
            white-space: nowrap;
            text-decoration: none;

            &:hover {
                color: $dark;
                text-decoration: none;
            }
        }

        span {
            z-index: 20;
            height: rem(16);
            position: relative;
            padding-right: rem(30);
            display: block;
            flex-grow: 1;
        }
    }

    &__child {
        z-index: 20;
        background: $white;
        display: none;

        &.active {
            display: block;
        }
    }

    &__title {
        font-weight: 600;
        line-height: 125%;
        font-size: rem(17);
    }

    &__header {
        position: relative;
        margin-bottom: rem(24);
    }

    &__back {
        top: -3px;
        right: calc(100% + 10px);
        width: 24px;
        height: 24px;
        font-size: 0;
        line-height: 0;
        padding: 0;
        border: none;
        outline: none;
        background: transparent;
        position: absolute;


        &:before {
            left: calc(50% - 7px);
            top: calc(50% - 3px);
            z-index: 5;
            width: 14px;
            height: 7px;
            content: '';
            display: block;
            position: absolute;
            background: url("../img/angle_down.svg") 50% 50% no-repeat;
            background-size: cover;
            transform: rotate(90deg);
            transition: .25s;
        }
    }

    &.mobile-nav--open {
        opacity: 1;
        visibility: visible;
        z-index: 999;
    }

    @include media-breakpoint-up(md) {

        &__body {
            width: rem(600);
        }
    }

    @include media-breakpoint-up(lg) {

        &__body {
            width: rem(860);
        }
    }

    @include media-breakpoint-up(xl) {
        display: none;
    }
}
